{% extends 'person_management/person/person.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('person_management/person/occurrence/delete') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('person_management/person/occurrence/delete') }}
{% endblock %}

{% block tabBar %}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('person_management_occurrence_edit', {'personId': person.getId(), 'occurrenceId': occurrence.getId()}) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Vorgang löschen</span>
        {% if is_granted('delete', occurrence) == true %}
            {{ form_widget(occurrenceDeleteForm.delete, {'label': 'LÖSCHEN', 'id': occurrenceDeleteForm.delete.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading delete-button ms-auto align-self-center'}}) }}
        {% endif %}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card p-3 mb-4">
            <h1 class="fs-4 d-flex align-items-center">
                <span class="material-icons me-2 text-danger">warning_amber</span>
                Der Vorgang wird unwiderruflich gelöscht.
            </h1>
            <p>
                Um den Vorgang endgültig zu löschen, müssen Sie zuerst den folgenden Code eingeben:
                <span class="delete-code">vorgang_{{ occurrence.getId() }}</span>
            </p>
            {% if is_granted('delete', occurrence) == true %}
                {{ form_start(occurrenceDeleteForm, {'attr': {'id': occurrenceDeleteForm.vars.id ~ '_form'}}) }}
            {% endif %}
            {% include 'person_management/form/occurrence/occurrence_delete_form.html.twig' with {'form': occurrenceDeleteForm} only %}
            {% if is_granted('delete', occurrence) == true %}
                {{ form_row(occurrenceDeleteForm._token) }}
                {{ form_end(occurrenceDeleteForm, {'render_rest': false}) }}
            {% endif %}
        </div>
        <div class="mdc-card p-3 mb-4">
            {% include 'person_management/form/occurrence/occurrence_form.html.twig' with {'form': occurrenceForm, 'personSelectType': occurrenceForm.person} only %}
        </div>
    </div>
{% endblock %}
